Rapid7 Vulnerability & Exploit Database

MFSA2008-42 Firefox: Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17) (CVE-2008-4063)

Back to Search

MFSA2008-42 Firefox: Crashes with evidence of memory corruption (rv:1.9.0.2/1.8.1.17) (CVE-2008-4063)

Severity
9
CVSS
(AV:N/AC:M/Au:N/C:C/I:C/A:C)
Published
09/24/2008
Created
07/25/2018
Added
06/14/2012
Modified
02/13/2015

Description

Multiple unspecified vulnerabilities in Mozilla Firefox 3.x before 3.0.2 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via vectors related to the layout engine and (1) a zero value of the "this" variable in the nsContentList::Item function; (2) interaction of the indic IME extension, a Hindi language selection, and the "g" character; and (3) interaction of the nsFrameList::SortByContentOrder function with a certain insufficient protection of inline frames.

Solution(s)

  • mozilla-firefox-upgrade-2_0_0_17
  • mozilla-firefox-upgrade-3_0_2

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;